LogKit (LogKit API)
Keywords: org.apache.log.LogKit,LogKit class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log
Class LogKit

    java.lang.Object
      |
      +--org.apache.log.LogKit

Deprecated. Instead of using LogKit directly use the facilities in code itself

public final class LogKit
extends Object

The LogKit provides the access to static methods to manipulate the logging sub-system

Author:
  Peter Donald

Method Summary
`static ContextStack` | `getCurrentContext()` Deprecated. Use ContextStack.getCurrentContext() instead
`static Logger` | `getLoggerFor(String category)` Deprecated. Use Hierarchy.getDefaultHierarchy().getLoggerFor() instead
`static Priority` | `getPriorityForName(String priority)` Deprecated. Use Priority.getPriorityForName() instead
`static void` | `log(String message)` Deprecated. Use Hierarchy.getDefaultHierarchy().log() instead
`static void` | `log(String message, Throwable t)` Deprecated. Use Hierarchy.getDefaultHierarchy().log() instead
`static void` | `setDefaultLogTarget(LogTarget defaultLogTarget)` Deprecated. Use Hierarchy.getDefaultHierarchy().setDefaultLogTarget() instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCurrentContext

    public static ContextStack getCurrentContext()

  Deprecated. Use ContextStack.getCurrentContext() instead

  Get the Current ContextStack. This returns a ContextStack associated with current thread. If the thread doesn't have a ContextStack associated with it then a new ContextStack is created with the name of thread as base context.

  Returns:
    the current ContextStack

### getLoggerFor

    public static Logger getLoggerFor(String category)

  Deprecated. Use Hierarchy.getDefaultHierarchy().getLoggerFor() instead

  Retrieve a logger for named category.

  Parameters:
    `category` - the context
  Returns:
    the Logger

### getPriorityForName

    public static Priority getPriorityForName(String priority)

  Deprecated. Use Priority.getPriorityForName() instead

  Retrieve a Priority value for the string parameter.

  Parameters:
    `priority` - the priority
  Returns:
    the descriptive string

### log

    public static void log(String message,
                           Throwable t)

  Deprecated. Use Hierarchy.getDefaultHierarchy().log() instead

  Logs an error message to error handler.

### log

    public static void log(String message)

  Deprecated. Use Hierarchy.getDefaultHierarchy().log() instead

  Logs an error message to error handler.

### setDefaultLogTarget

    public static void setDefaultLogTarget(LogTarget defaultLogTarget)

  Deprecated. Use Hierarchy.getDefaultHierarchy().setDefaultLogTarget() instead

  Sets the default LogTarget for the default logger.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.